package xiaoqu.home.open.model.db1;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 用户证件
 * </p>
 *
 * @author wh
 * @since 2022-10-18
 */
@TableName("user_detail")
@ApiModel(value="UserDetail对象", description="用户证件")
public class UserDetail extends Model<UserDetail> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "修改id")
    @TableField("modify_id")
    private Long modifyId;

    @ApiModelProperty(value = "修改时间")
    @TableField("modify_time")
    private Date modifyTime;

    @ApiModelProperty(value = "数据状态")
    @TableField("soft_delete")
    private Integer softDelete;

    @ApiModelProperty(value = "创建id")
    @TableField("create_id")
    private Long createId;

    @ApiModelProperty(value = "用户id")
    @TableField("user_id")
    private Long userId;

    @ApiModelProperty(value = "头像地址")
    @TableField("head_path")
    private String headPath;

    @ApiModelProperty(value = "身份证正面地址")
    @TableField("idcard_positivepath")
    private String idcardPositivepath;

    @ApiModelProperty(value = "身份证反面地址")
    @TableField("idcard_reversepath")
    private String idcardReversepath;

    @ApiModelProperty(value = "身份证号")
    @TableField("idcard")
    private String idcard;

    @ApiModelProperty(value = "ossbucketname")
    @TableField("ossbucketname")
    private String ossbucketname;

    @ApiModelProperty(value = "ossFolder")
    @TableField("ossfolder")
    private String ossfolder;

    @ApiModelProperty(value = "出生日期")
    @TableField("date_of_birth")
    private String dateOfBirth;

    @ApiModelProperty(value = "有效期开始")
    @TableField("term_of_validity_start")
    private String termOfValidityStart;

    @ApiModelProperty(value = "有效期结束")
    @TableField("term_of_validity_end")
    private String termOfValidityEnd;

    @ApiModelProperty(value = "家庭地址")
    @TableField("address")
    private String address;

    @ApiModelProperty(value = "真实姓名")
    @TableField("true_name")
    private String trueName;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getModifyId() {
        return modifyId;
    }

    public void setModifyId(Long modifyId) {
        this.modifyId = modifyId;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Integer getSoftDelete() {
        return softDelete;
    }

    public void setSoftDelete(Integer softDelete) {
        this.softDelete = softDelete;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getHeadPath() {
        return headPath;
    }

    public void setHeadPath(String headPath) {
        this.headPath = headPath;
    }

    public String getIdcardPositivepath() {
        return idcardPositivepath;
    }

    public void setIdcardPositivepath(String idcardPositivepath) {
        this.idcardPositivepath = idcardPositivepath;
    }

    public String getIdcardReversepath() {
        return idcardReversepath;
    }

    public void setIdcardReversepath(String idcardReversepath) {
        this.idcardReversepath = idcardReversepath;
    }

    public String getIdcard() {
        return idcard;
    }

    public void setIdcard(String idcard) {
        this.idcard = idcard;
    }

    public String getOssbucketname() {
        return ossbucketname;
    }

    public void setOssbucketname(String ossbucketname) {
        this.ossbucketname = ossbucketname;
    }

    public String getOssfolder() {
        return ossfolder;
    }

    public void setOssfolder(String ossfolder) {
        this.ossfolder = ossfolder;
    }

    public String getDateOfBirth() {
        return dateOfBirth;
    }

    public void setDateOfBirth(String dateOfBirth) {
        this.dateOfBirth = dateOfBirth;
    }

    public String getTermOfValidityStart() {
        return termOfValidityStart;
    }

    public void setTermOfValidityStart(String termOfValidityStart) {
        this.termOfValidityStart = termOfValidityStart;
    }

    public String getTermOfValidityEnd() {
        return termOfValidityEnd;
    }

    public void setTermOfValidityEnd(String termOfValidityEnd) {
        this.termOfValidityEnd = termOfValidityEnd;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getTrueName() {
        return trueName;
    }

    public void setTrueName(String trueName) {
        this.trueName = trueName;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "UserDetail{" +
        "id=" + id +
        ", createTime=" + createTime +
        ", modifyId=" + modifyId +
        ", modifyTime=" + modifyTime +
        ", softDelete=" + softDelete +
        ", createId=" + createId +
        ", userId=" + userId +
        ", headPath=" + headPath +
        ", idcardPositivepath=" + idcardPositivepath +
        ", idcardReversepath=" + idcardReversepath +
        ", idcard=" + idcard +
        ", ossbucketname=" + ossbucketname +
        ", ossfolder=" + ossfolder +
        ", dateOfBirth=" + dateOfBirth +
        ", termOfValidityStart=" + termOfValidityStart +
        ", termOfValidityEnd=" + termOfValidityEnd +
        ", address=" + address +
        ", trueName=" + trueName +
        "}";
    }
}
